# List modules

List modules associated with this workspace.

Endpoint: GET /iacm/api/orgs/{org}/projects/{project}/workspaces/{identifier}/modules
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "yu"

  - `project` (string, required)
    Project is the project identifier.
    Example: "gve"

  - `identifier` (string, required)
    Identifier is the project identifier.
    Example: "udh"

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "fu"

## Response 200 fields (application/json):

  - `invocations` (integer, required)
    Number of times this module is invoked in the workspace
    Example: 3

  - `key` (string, required)
    Module key
    Example: "ec2-instance_test"

  - `source` (string, required)
    Module source
    Example: "registry.opentofu.org/terraform-aws-modules/ec2-instance/aws//examples/complete"

  - `stack_path` (string)
    Terragrunt stack path (empty for regular Terraform workspaces)
    Example: "environments/prod/ec2"

  - `version` (string, required)
    Module version
    Example: "5.0.0"

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


